Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 45188 - catalyst's default-runscript.sh generate wrong /etc/init.d/local for livecd
Summary: catalyst's default-runscript.sh generate wrong /etc/init.d/local for livecd
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Hosted Projects
Classification: Unclassified
Component: Catalyst (show other bugs)
Hardware: All All
: High normal (vote)
Assignee: John Davis (zhen) (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-19 20:37 UTC by Tuan Van (RETIRED)
Modified: 2004-03-24 16:03 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tuan Van (RETIRED) gentoo-dev 2004-03-19 20:37:56 UTC
# cat /etc/init.d/local
#!/sbin/runscript
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /home/cvsroot/gentoo/src/catalyst/livecd/runscript/default-runscript.sh,v 1.1 2004/03/04 23:29:45 zhen Exp $

depend() {
after *
}

start() {
ebegin "Auto-scrambling root password for security"
echo root: | chpasswd  > /dev/null 2>&1
eend 127 "Failed to start local."
}

stop() {
ebegin "Stopping local"
eend 127 "Failed to stop local."
}

proposed patch:

--- default-runscript.sh        2004-03-14 16:27:42.000000000 -0800
+++ default-runscript.new.sh    2004-03-19 20:12:25.394274865 -0800
@@ -188,13 +188,13 @@

 start() {
        ebegin "Auto-scrambling root password for security"
-       echo root:`pwgen -s 16` | chpasswd  > /dev/null 2>&1
-       eend $? "Failed to start local."
+       echo root:\`pwgen -s 16\` | chpasswd  > /dev/null 2>&1
+       eend \$? "Failed to start local."
 }

 stop() {
        ebegin "Stopping local"
-       eend $? "Failed to stop local."
+       eend \$? "Failed to stop local."
 }
 EOF
Comment 1 John Davis (zhen) (RETIRED) gentoo-dev 2004-03-24 16:03:59 UTC
fixed in cvs